library(ggplot2)
library(tidyr)
library(scales)
#faili sisselugemine 
J511=read.csv2("PT5-T5.1-J5.1.1.csv",header=TRUE, encoding ="UTF-8")
J511$Keskmine.kliimamurelikkuse.tase..1.5.skaalal.=as.numeric(J511$Keskmine.kliimamurelikkuse.tase..1.5.skaalal.)
names(J511)=c("X","Y")
J511$X[5]="ESTONIA"
J511$X=as.factor(J511$X)
J511$X=factor(J511$X,levels(J511$X)[order(c(5,4,1,2,3))])
font=c(1,1,1,1,2)


ggplot(J511)+
  geom_col(aes(x=X,y=Y,fill=X),width = 0.7)+
  geom_label(aes(x=X,y=Y-0.1,label=Y),cex=3.5)+
  theme_minimal()+
  coord_flip()+
  scale_fill_manual(values=c("#295200","#295200","#295200","#295200","#8fa300"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  xlab("")+
  ylab("AVERAGE SCORE ON A SCALE OF 1–5")+
  theme(legend.position ="none",axis.text.y = element_text(face=font))+
  scale_y_continuous(limits=c(0,5),breaks=c(0:5))




